Community Packages

Please read this before reporting a bug:
https://wiki.archlinux.org/title/Bug_reporting_guidelines

Do NOT report bugs when a package is just outdated, or it is in the AUR. Use the 'flag out of date' link on the package page, or the Mailing List.

REPEAT: Do NOT report bugs for outdated packages!
Tasklist

FS#73093 - [remmina] PKGBUILD needs a review

Attached to Project: Community Packages
Opened by Antenore Gatta (tmow) - Monday, 20 December 2021, 10:59 GMT
Last edited by Andreas Radke (AndyRTR) - Monday, 20 December 2021, 21:16 GMT
Task Type Bug Report
Category Packages
Status Assigned
Assigned To Sergej Pupykin (sergej)
Architecture All
Severity Low
Priority Normal
Reported Version
Due in Version Undecided
Due Date Undecided
Percent Complete 0%
Votes 0
Private No

Details

Description:

I'm the remmina upstream maintainer.

I was having a look at the remmina PKGBUILD and I noticed that it has some issues, and I'm not sure how I can help.

1. Deprecated dependencies:

NX, XDMCP and Telepathy plugins have been remove upstream (Telepathy since a long time), so these optdepends should be removed:

- libxkbfile: NX plugin
- nxproxy: NX plugin
- xorg-server-xephyr

2. New dependencies.

To add the X2Go plugin remmina must be compiled with -DWITH_X2GO=ON and pyhoca-cli added as optdepends.

For the WWW plugin (HTTP(S) protocol) makedepends should include webkit2gtk

To build and use the GVNC (VNC plugin using gtk-vnc), gtk-vnc should be added in the makedepends, plus the -DWITH_GVNC=ON

An acceptable example is the remmina-git AUR, I don't know if is well written or not, I'm not an expert.

Additional info:

Related bug https://bugs.archlinux.org/task/71715?project=5&string=remmina
Related discussion in the forum https://bbs.archlinux.org/viewtopic.php?pid=2010178
This task depends upon

Comment by Sergej Pupykin (sergej) - Tuesday, 21 December 2021, 11:45 GMT
please try remmina-1:1.4.23-2
Comment by Antenore Gatta (tmow) - Tuesday, 21 December 2021, 12:21 GMT
Amazing @sergej ! Thanks.

LGTM, 'telepathy-glib' should be not needed. Remmina, without plugins, depends on GTK, pango + harfbuzz, gobject-introspection, libsecret, kwallet and libsodium. Plus all the dependencies for each plugin

Loading...